##############################################################################
#
# NAME:        atp-pi.spec
#
# FACILITY:    SAM (Service Availability Monitoring)
#
# COPYRIGHT:
#         Copyright (c) 2009, Members of the EGEE Collaboration.
#         http://www.eu-egee.org/partners/
#         Licensed under the Apache License, Version 2.0.
#         http://www.apache.org/licenses/LICENSE-2.0
#         This software is provided "as is", without warranties
#         or conditions of any kind, either express or implied.
#
# DESCRIPTION:
#
#         ATP-PI spec file
#
# AUTHORS:     Vibhuti Duggal, BARC
#
# CREATED:     6-Jun-2012
#
# NOTES:
#
# MODIFIED:
#
##############################################################################

# sitelib for noarch packages, sitearch for others (remove the unneeded one)
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           mywlcg-atp-api
Version:        1.26.1
Release:        1%{?dist}
Summary:        The Aggregated Topology Provider (ATP) contains grid topology information.This RPM provides the programmatic interface to ATP.
Group:          Development/Languages
License:        ASL 2.0
URL:            https://twiki.cern.ch/twiki/bin/view/LCG/ATP
Source0:        mywlcg-atp-api-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  python-devel
Requires:	    atp >= 1.25.3

%description
The Aggregated Topology Provider (ATP) is a database containing grid 
topology information. This means list of projects (like WLCG), grid 
infrastructures (EGEE, OSG, NDGF), sites, services, VOs and their 
groupings, downtimes and a history of these.

%prep
%setup -q

%build
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
python setup.py install --root=$RPM_BUILD_ROOT

install -d -m 755 $RPM_BUILD_ROOT/var/log/%{name}/

%clean
rm -rf $RPM_BUILD_ROOT

%pre

# All the Django files
%files
%defattr(-,root,root,-)
%{python_sitelib}/%{name}/*
%{_datadir}/atp/apache/atp-pi.wsgi
%{_datadir}/atp/manage
%config(noreplace) /etc/httpd/conf.d/xatp-pi.conf

%changelog
* Tue Nov 20 2012 Pedro Andrade<pedro.andrade@cern.ch> - 1.26.1-1%{?dist}
- Fixed SAM-3090 Remove python-django-db-schema from mywlcg-atp-web
* Wed Oct 31 2012 Pedro Andrade<pedro.andrade@cern.ch> - 1.25.20-1%{?dist}
- Fixed SAM-3057 ATP site feed return incorrect json
* Thu Oct 25 2012 Pedro Andrade<pedro.andrade@cern.ch> - 1.25.19-1%{?dist}
- Fixed SAM-3043 Invalid json for vofeed in spacetokens
* Wed Sep 12 2012 Pedro Andrade<pedro.andrade@cern.ch> - 1.25.18-1%{?dist}
- Fixed SAM-2876 ATP: Update-19 API not compatible with Update-17 API
* Wed Sep 12 2012 Pedro Andrade<pedro.andrade@cern.ch> - 1.25.17-1%{?dist}
- Fixed SAM-2956 NCG is failing in samval013
* Wed Sep 12 2012 Pedro Andrade<pedro.andrade@cern.ch> - 1.25.16-1%{?dist}
- Fixed SAM-2956 NCG is failing in samval013
- Fixed SAM-2886 mrs bootstrapper failing on samval010
* Tue Sep 11 2012 Jacobo Tarragón Cros <jacobo.tarragon.cros@cern.ch> - 1.25.15-1%{?dist}
- Fixed SAM-2886 mrs bootstrapper failing on samval010
* Mon Sep 10 2012 Pedro Andrade<pedro.andrade@cern.ch> - 1.25.14-1%{?dist}
- Fixed SAM-2948 NCG isn't able to parse the ATP JSON string
* Fri Sep 07 2012 Pedro Andrade<pedro.andrade@cern.ch> - 1.25.13-1%{?dist}
- Fixed SAM-2905 atp: Revise existing Web API for all components
- Fixed SAM-2876 ATP: Update-19 API not compatible with Update-17 API
* Wed Aug 29 2012 Pedro Andrade<pedro.andrade@cern.ch> - 1.25.12-1%{?dist}
- Fixed SAM-2878 Nagios doesn't test services which aren't in production
- Foxed SAM-2875 ncg failure on vo sam-nagios node (grid-monitoring-config-gen-0.90.10-1)
* Tue Jul 31 2012 Jacobo Tarragón Cros <jacobo.tarragon.cros@cern.ch> - 1.25.11-1%{?dist}
- SAM-2842 fix json formatting and preserve ncg backwards compatibility in siteregionvo
* Thu Jul 23 2012 Vibhuti Duggal<vibhuti.duggal@cern.ch> - 1.25.10-1%{?dist}
- SAM-2836 mywlcg-at-api:Change to Django-1.3 
* Thu Jul 18 2012 Marian Babik<marian.babik@cern.ch> - 1.25.9-1%{?dist}
- Fixed SAM-2821 poem: initial mrs bootrap fails to contact poem (Expecting property name: line 22 column 5 (char 614)) 
* Wed Jul 18 2012 Pedro Andrade<pedro.andrade@cern.ch> - 1.25.8-1%{?dist}
- Fixed SAM-2812 poem: initial mrs bootstrap fails to contact poem
* Tue Jul 17 2012 Pedro Andrade<pedro.andrade@cern.ch> - 1.25.7-1%{?dist}
- Fixed SAM-2812 poem: initial mrs bootstrap fails to contact poem
* Tue Jul 17 2012 Pedro Andrade<pedro.andrade@cern.ch> - 1.25.6-1%{?dist}
- Fixed SAM-2812 poem: initial mrs bootstrap fails to contact poem
* Sat Jul 14 2012 Pedro Andrade<pedro.andrade@cern.ch> - 1.25.5-1%{?dist}
- Fixed SAM-2810 Add backward compatibility to new mywlcg-atp-api package
